Export (0) Print
Expand All

Software and Hardware Requirements for ACT 5.6

Published: June 11, 2010

Updated: June 11, 2010

Applies To: Windows 7, Windows Vista

The minimum software and hardware requirements for using the Microsoft® Application Compatibility Toolkit (ACT) 5.6 are listed in this topic.

Supported Software

The following sections list the minimum software requirements.

Operating Systems

ACT supports the following operating systems:

  • Windows® 7

  • Windows Vista®

  • Windows Vista with Service Pack 1 (SP1)

  • Windows XP with Service Pack 2 (SP2)

  • Windows XP with Service Pack 3 (SP3)

  • Windows® Server® 2003 with Service Pack 2 (SP2)

  • Windows® Server 2008 R2

ACT does not support:

  • The Windows® 2000 Professional operating system and earlier versions.

    noteNote
    ACT does support running data-collection packages and compatibility evaluators on Windows 2000.

  • The Windows NT® Server 4.0 operating system

Database Components

After ACT has been installed, it requires one of the following database components:

  • Microsoft® SQL Server® 2008

  • SQL Server 2005

  • SQL Server 2008 Express

  • SQL Server 2005 Express Edition

noteNote
The ACT 5.6 does not support SQL Server 2000 or the Microsoft Database Engine (MSDE).

.NET Framework

ACT requires the .NET Framework 3.5 or newer.

Supported Hardware

The following tables contain the minimum and recommended hardware requirements.

 

ACT components Minimum requirements Recommended requirements

Application Compatibility Manager client and ACT Log Processing Service servers

550-megahertz (MHz) processor with 256 megabytes (MB) of RAM

2.8-gigahertz (GHz) processor with 2 gigabytes (GB) of RAM

ACT client databases

1-GHz processor with 512 MB of RAM

2.8-GHz processor with 2 GB of RAM

Special Software and Hardware Considerations

There are special system requirements that you must provide before you can successfully use the Update Compatibility Evaluator (UCE) or the Compatibility Administrator.

UCE Supported Environments

The UCE requires that you use only specific operating systems, fulfill specific hardware requirements, and provide sufficient disk space.

UCE Supported Operating Systems

The following operating systems are supported by the UCE.

  • Windows 7

  • Windows Vista

  • Windows XP with Service Pack 2 (SP2) or Service Pack 3 (SP3)

  • Windows Server 2003 with Service Pack 1 (SP1) or Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows 2000 with Service Pack 4 (SP4) and Update Rollup 1

    ImportantImportant
    The UCE is not supported on earlier versions of the previously listed operating systems, including Windows NT.

UCE Supported Hardware Requirements

The following minimum hardware requirements are necessary to run the UCE.

  • Disk drive. 1 GB of free space

  • RAM. 256 MB

Disk-Space Usage

By default, the UCE limits its disk space usage to 50 percent of the available disk space. This setting attempts to provide enough padding so that the compatibility evaluator does not use all of the free disk space. During an average deployment, the UCE typically logs at least 100 MB per hour of ETL files. Therefore, if you use a four-hour upload interval, the compatibility evaluator will require at least 400 MB of free space. You can modify the percentage of disk space used in the Advanced Settings dialog box.

Compatibility Administrator Supported Operating Systems

You can use the Compatibility Administrator on the following operating systems:

  • Windows 7

  • Windows Vista

  • Windows XP with Service Pack 2 (SP2)

  • Windows Server 2003 with Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows 2000 with Service Pack 3 (SP3) or later

    noteNote
    The Compatibility Administrator does not support Limited User Account (LUA) mode in Windows 2000.

See Also

Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft